
#include <stdio.h>
#include <stdlib.h>
#include "mrid.h"

int	main(int argc,char **argv)
{
	double	D,keV;

	if (argc<3) {
	    (void)fputs("usage : " RID "_cm density chemical_formula\n",stderr);
	    exit(1);
	}
	if (sscanf(argv[1],"%lf",&D)!=1 || D<=0.0) {
	    (void)fputs("bad density.\n",stderr); exit(1);
	}
	while (--argc>1) SetAtomicTable(argv[argc]);

	while (scanf("%lf",&keV)==1) (void)printf("%lf\t%le\n",keV,D*MRID(keV));

	return 0;
}
